import { z } from 'zod';
import { EntityStatus } from '../models';

/**
 * EntityStatus is a bitwise enum with values: 0 | 1 | 2 | 4 | 8
 */
export const EntityStatusSchema = z
  .nativeEnum(EntityStatus)
  .describe('Entity status');
